Package com.collabnet.ce.soap60.webservices.discussion

# Class Forum2SoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
com.collabnet.ce.soap60.webservices.discussion.Forum2SoapRow

public class Forum2SoapRow extends FolderSoapRow
A forum list is represented by Forum2SoapList class. Each row within a forum list is represented by the Forum2SoapRow class.
Change History
Release: 6.2

- Added emailPosting, emailMonitoring, webPosting, captcha and messageSize fields in addition to forum fields

Since:
  6.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Forum2SoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCaptcha()`
  Returns 'captcha'.
  `int`
  `getEmailMonitoring()`
  Returns 'emailMonitoring'.
  `int`
  `getEmailPosting()`
  Returns 'emailPosting'.
  `String`
  `getFooter()`
  Returns 'footer'.
  `String`
  `getForumType()`
  Returns 'forumType'.
  `boolean`
  `getIsListEnabled()`
  Returns 'isListEnabled'.
  `String`
  `getListName()`
  Returns 'listName'.
  `int`
  `getMessageSize()`
  Returns 'messageSize'.
  `String`
  `getPrefix()`
  Returns 'prefix'.
  `boolean`
  `getPrivateForum()`
  Returns 'privateForum'.
  `String`
  `getReplyto()`
  Returns 'replyto'.
  `int`
  `getWebPosting()`
  Returns 'webPosting'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCaptcha(String captcha)`
  Sets 'captcha'.
  `void`
  `setEmailMonitoring(int emailMonitoring)`
  Sets 'emailMonitoring'.
  `void`
  `setEmailPosting(int emailPosting)`
  Sets 'emailPosting'.
  `void`
  `setFooter(String footer)`
  Sets 'footer'.
  `void`
  `setForumType(String forumType)`
  Sets 'forumType'.
  `void`
  `setIsListEnabled(boolean isListEnabled)`
  Sets 'isListEnabled'.
  `void`
  `setListName(String listName)`
  Sets 'listName'.
  `void`
  `setMessageSize(int messageSize)`
  Sets 'messageSize'.
  `void`
  `setPrefix(String prefix)`
  Sets 'prefix'.
  `void`
  `setPrivateForum(boolean privateForum)`
  Sets 'privateForum'.
  `void`
  `setReplyto(String replyto)`
  Sets 'replyto'.
  `void`
  `setWebPosting(int webPosting)`
  Sets 'webPosting'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

  `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Forum2SoapRow

    public Forum2SoapRow()

- ## Method Details

  - ### getIsListEnabled

    public boolean getIsListEnabled()
    Returns 'isListEnabled'. Whether the mailing list is enabled for the forum
    Returns:
      Value of 'isListEnabled'.

  - ### setIsListEnabled

    public void setIsListEnabled(boolean isListEnabled)
    Sets 'isListEnabled'. Whether the mailing list is enabled for the forum
    Parameters:
      `isListEnabled` - Value of 'isListEnabled'.

  - ### getListName

    public String getListName()
    Returns 'listName'. The name of the list associated with this forum (SfName)
    Returns:
      Value of 'listName'.

  - ### setListName

    public void setListName(String listName)
    Sets 'listName'. The name of the list associated with this forum (SfName)
    Parameters:
      `listName` - Value of 'listName'.

  - ### getPrefix

    public String getPrefix()
    Returns 'prefix'. The subject prefix associated with this forum
    Returns:
      Value of 'prefix'.

  - ### setPrefix

    public void setPrefix(String prefix)
    Sets 'prefix'. The subject prefix associated with this forum
    Parameters:
      `prefix` - Value of 'prefix'.

  - ### getFooter

    public String getFooter()
    Returns 'footer'. The footer text associated with this forum
    Returns:
      Value of 'footer'.

  - ### setFooter

    public void setFooter(String footer)
    Sets 'footer'. The footer text associated with this forum
    Parameters:
      `footer` - Value of 'footer'.

  - ### getForumType

    public String getForumType()
    Returns 'forumType'. The forum type whether moderatored(MF) or un-moderated(UF)
    Returns:
      Value of 'forumType'.

  - ### setForumType

    public void setForumType(String forumType)
    Sets 'forumType'. The forum type whether moderatored(MF) or un-moderated(UF)
    Parameters:
      `forumType` - Value of 'forumType'.

  - ### getPrivateForum

    public boolean getPrivateForum()
    Returns 'privateForum'. Whether the forum is private (1) or public (0)
    Returns:
      Value of 'privateForum'.

  - ### setPrivateForum

    public void setPrivateForum(boolean privateForum)
    Sets 'privateForum'. Whether the forum is private (1) or public (0)
    Parameters:
      `privateForum` - Value of 'privateForum'.

  - ### getReplyto

    public String getReplyto()
    Returns 'replyto'. The reply to behavior set for the forum
    Returns:
      Value of 'replyto'.

  - ### setReplyto

    public void setReplyto(String replyto)
    Sets 'replyto'. The reply to behavior set for the forum
    Parameters:
      `replyto` - Value of 'replyto'.

  - ### getMessageSize

    public int getMessageSize()
    Returns 'messageSize'. The maximum size a post/topic including attachments
    Returns:
      Value of 'messageSize'.

  - ### setMessageSize

    public void setMessageSize(int messageSize)
    Sets 'messageSize'. The maximum size a post/topic including attachments
    Parameters:
      `messageSize` - Value of 'messageSize'.

  - ### getEmailMonitoring

    public int getEmailMonitoring()
    Returns 'emailMonitoring'. This setting determines which users could monitor the forum
    Returns:
      Value of 'emailMonitoring'.

  - ### setEmailMonitoring

    public void setEmailMonitoring(int emailMonitoring)
    Sets 'emailMonitoring'. This setting determines which users could monitor the forum
    Parameters:
      `emailMonitoring` - Value of 'emailMonitoring'.

  - ### getEmailPosting

    public int getEmailPosting()
    Returns 'emailPosting'. This setting determines which users could post to the forum
    Returns:
      Value of 'emailPosting'.

  - ### setEmailPosting

    public void setEmailPosting(int emailPosting)
    Sets 'emailPosting'. This setting determines which users could post to the forum
    Parameters:
      `emailPosting` - Value of 'emailPosting'.

  - ### getWebPosting

    public int getWebPosting()
    Returns 'webPosting'. This setting determines which users could post to the forum through web UI
    Returns:
      Value of 'webPosting'.

  - ### setWebPosting

    public void setWebPosting(int webPosting)
    Sets 'webPosting'. This setting determines which users could post to the forum through web UI
    Parameters:
      `webPosting` - Value of 'webPosting'.

  - ### getCaptcha

    public String getCaptcha()
    Returns 'captcha'. This indicates whether CAPTCHA to be enforced for all web posts or only for logged-out users or for nobody
    Returns:
      Value of 'captcha'.

  - ### setCaptcha

    public void setCaptcha(String captcha)
    Sets 'captcha'. This indicates whether CAPTCHA to be enforced for all web posts or only for logged-out users or for nobody
    Parameters:
      `captcha` - Value of 'captcha'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)